NativeExecutableBinarySpec (Gradle API 9.7.1)
Description: declaration: package: org.gradle.nativeplatform, interface: NativeExecutableBinarySpec

# Interface NativeExecutableBinarySpec

All Superinterfaces:
  `ApplicationBinarySpec, Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, ModelElement, Named, NativeBinarySpec`

@Incubating @Deprecated public interface NativeExecutableBinarySpec extends NativeBinarySpec, ApplicationBinarySpec
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
An binary built by Gradle for a native application.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `NativeExecutableBinarySpec.TasksCollection`
  Deprecated.
  Provides access to key tasks used for building the binary.

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NativeExecutableSpec`
  `getApplication()`
  Deprecated.
  The application that this binary belongs to.
  `NativeExecutableSpec`
  `getComponent()`
  Deprecated.
  The component that this binary was built from.
  `NativeExecutableFileSpec`
  `getExecutable()`
  Deprecated.
  Native Executable File.
  `NativeInstallationSpec`
  `getInstallation()`
  Deprecated.
  Native Installation location for a native executable.
  `NativeExecutableBinarySpec.TasksCollection`
  `getTasks()`
  Deprecated.
  The set of tasks associated with this binary.

  ### Methods inherited from interface Binary

  `getDisplayName`

  ### Methods inherited from interface BinarySpec

  `getInputs, getSources, isBuildable`

  ### Methods inherited from interface Buildable

  `getBuildDependencies`

  ### Methods inherited from interface BuildableComponentSpec

  `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

  ### Methods inherited from interface CheckableComponentSpec

  `checkedBy, getCheckTask, setCheckTask`

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName, getName`

  ### Methods inherited from interface NativeBinarySpec

  `getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

- ## Method Details

  - ### getApplication

    NativeExecutableSpec getApplication()
    Deprecated.
    The application that this binary belongs to.
    Specified by:
      `getApplication` in interface `ApplicationBinarySpec`

  - ### getComponent

    NativeExecutableSpec getComponent()
    Deprecated.
    The component that this binary was built from.
    Specified by:
      `getComponent` in interface `NativeBinarySpec`

  - ### getInstallation

    NativeInstallationSpec getInstallation()
    Deprecated.
    Native Installation location for a native executable.

  - ### getExecutable

    NativeExecutableFileSpec getExecutable()
    Deprecated.
    Native Executable File.

  - ### getTasks

    NativeExecutableBinarySpec.TasksCollection getTasks()
    Deprecated.
    The set of tasks associated with this binary.
    Specified by:
      `getTasks` in interface `BinarySpec`